Subject: Re: [Roll] draft-ietf-roll-security-framework returned to working group.

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 12 Aug 2012 16:09:11 +0200

I thought that this informational draft had in 2011 enough position
to pass (subject to resolve discuss position), also not sure why the
draft left to expire while it had a new version in 2012 without any
discussion from January until July [1].

 There was no abstain or objection positions, but discuss positions,
meaning things can be fixed [2-3]. Am I missing some thing?

[1] http://www.ietf.org/mail-archive/web/roll/current/msg06615.html
[2] http://www.ietf.org/mail-archive/web/ietf/current/msg68450.html
[3] http://www.ietf.org/iesg/statement/discuss-criteria.html

Regards
Abdussalam

>
> This document has sat in IESG Evaluation::AD Followup for 467 days.
>
> The blocking issue has been that the document does not actually provide any
> security guidelines or mechanisms, and RPL itself (RFC 6550) is also sadly
> lacking.
>
> Michael Richardson and I sat down with Stephen Farrell (Security AD) and
> cooked
> up a plan to generate some useful security documents for RPL. Inevitably
> this
> will introduce more delay, but at least there is a plan that we might manage
> to
> execute. Michael has introduced the plan to the WG and there seems to be
> support.
>
> Part of this plan involves pulling draft-ietf-roll-security-framework back
> from
> the IESG, returning it to the WG, and re-casting it as a threat analysis
> (something it does quite well at the moment).
>
> Thus, this document is returned to the working group for further work.
>
> Thanks,
> Adrian
>
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 13 Aug 2012 11:06:36 +0100

Yeah, hi.

I think the thing you are missing is that it had become "impossible" to resolve
the final Discuss. Of course, as described in the references you cite, Discusses
must be "resolvable", but the work to resolve this Discuss is considerable and
results in a significant set of documents being produced.

The issue was as follows:

- During processing of draft-ietf-roll-rpl there was a Discuss that said
   (approximately) "You haven't done enough security work".
   The response was: "Don't worry, it will show up in the security 
   framework"
- However, the security framework (this draft) simply passes the
   buck to other future drafts.
- The Discuss says "show me the security work"

There was an option to keep this document hanging on while that security work
was done, or to put in place the plan (as explained by Michael) to run a series
of documents that will together comprise the security details for RPL. In that
plan, this document is reworked to be a Threat Analysis simply be removing some
of the text, and polishing a little. It will then be re-issued, run through the
WG and completed.

The I-D did not expire until I marked it "Dead" in the data tracker. That action
was in agreement with the chairs and as part of the plan for the set of security
documents.

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Abdussalam Baryun
> Sent: 12 August 2012 15:09
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Roll] draft-ietf-roll-security-framework returned to working
group.
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 18 Aug 2012 08:42:14 +0200

For the progress of this work, I was waiting for a respond from IESG's
discuss position members (two positions comments was on draft-05)
regarding the new I-D version 07, but still no comments/discuss known.
Also waiting for the respond to the return from the WG. The only
respond to the IETF-WG's draft-07 is that the document is returned
without a reply comments of IESG's discuss position members. However,
I will respond to this, that I disagree to return the document until a
respond to draft-07 can be tracked, so the WG can decide for progress.

AB
-----